FragmentPair (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.align.pairwise.FragmentPair class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align.pairwise
Class FragmentPair

    java.lang.Object
      org.biojava.bio.structure.align.pairwise.FragmentPair

    public class FragmentPair

extends Object

a pair of fragments of two protein structures

Since:
  1.5
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`FragmentPair(int length, int p1, int p2)`

Method Summary
`Object` | `clone()`
`Atom` | `getCenter1()`
`Atom` | `getCenter2()`
`int` | `getCluster()`
`int` | `getContacts()`
`int` | `getCovered()`
`int` | `getLength()`
`int` | `getPos1()`
`int` | `getPos2()`
`double` | `getRms()`
`Matrix` | `getRot()`
`Atom` | `getTrans()`
`Atom` | `getUnitv()`
`int` | `getUsed()`
`void` | `setCenter1(Atom center1)`
`void` | `setCenter2(Atom center2)`
`void` | `setCluster(int cluster)`
`void` | `setContacts(int contacts)`
`void` | `setCovered(int covered)`
`void` | `setLength(int length)`
`void` | `setPos1(int pos1)`
`void` | `setPos2(int pos2)`
`void` | `setRms(double rms)`
`void` | `setRot(Matrix rot)`
`void` | `setTrans(Atom trans)`
`void` | `setUnitv(Atom unitv)`
`void` | `setUsed(int used)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentPair

    public FragmentPair(int length,
                        int p1,
                        int p2)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getCluster

    public int getCluster()

### setCluster

    public void setCluster(int cluster)

### getContacts

    public int getContacts()

### setContacts

    public void setContacts(int contacts)

### getCovered

    public int getCovered()

### setCovered

    public void setCovered(int covered)

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getPos1

    public int getPos1()

### setPos1

    public void setPos1(int pos1)

### getPos2

    public int getPos2()

### setPos2

    public void setPos2(int pos2)

### getRms

    public double getRms()

### setRms

    public void setRms(double rms)

### getRot

    public Matrix getRot()

### setRot

    public void setRot(Matrix rot)

### getTrans

    public Atom getTrans()

### setTrans

    public void setTrans(Atom trans)

### getUnitv

    public Atom getUnitv()

### setUnitv

    public void setUnitv(Atom unitv)

### getUsed

    public int getUsed()

### setUsed

    public void setUsed(int used)

### getCenter1

    public Atom getCenter1()

### setCenter1

    public void setCenter1(Atom center1)

### getCenter2

    public Atom getCenter2()

### setCenter2

    public void setCenter2(Atom center2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD